# ARM Processor EPOC App

Assembler code

```
.text:8012235E                 MOVS    R4, R5
.text:80122360                 ADDS    R4, #0x4C ; 'L'
.text:80122362
.text:80122362 loc_80122362                            ; CODE XREF: sub_8012234E+C4↓j
.text:80122362                 LDR     R4, [R4,#4]
.text:80122364                 CMP     R4, #0
.text:80122366                 BNE     loc_8012236C
.text:80122368                 LDR     R4, [R5,#0x3C]
.text:8012236A                 B       loc_801223FA
.text:8012236C ; ---------------------------------------------------------------------------
.text:8012236C
.text:8012236C loc_8012236C                            ; CODE XREF: sub_8012234E+18↑j
.text:8012236C                 LDR     R0, [R5,#0x3C]
.text:8012236E                 CMP     R0, R4
.text:80122370                 BLS     loc_8012237C
.text:80122372                 LDR     R0, [R4,#4]
.text:80122374                 CMP     R0, #0
.text:80122376                 BEQ     loc_8012238E
.text:80122378                 CMP     R0, R4
.text:8012237A                 BHI     loc_8012238E
.text:8012237C
.text:8012237C loc_8012237C                            ; CODE XREF: sub_8012234E+22↑j
.text:8012237C                 LDR     R0, [SP,#0x28+var_24]
.text:8012237E                 BLX     arm_euser_eka2_1417
.text:80122382                 MOVS    R2, R4
.text:80122384                 MOVS    R1, #4
.text:80122386                 LDR     R0, [SP,#0x28+var_18]
.text:80122388                 LDR     R7, [SP,#0x28+var_1C]
.text:8012238A                 MOVS    R3, #0
.text:8012238C                 B       loc_801223F2
.text:8012238E ; ---------------------------------------------------------------------------
.text:8012238E
.text:8012238E loc_8012238E                            ; CODE XREF: sub_8012234E+28↑j
.text:8012238E                                         ; sub_8012234E+2C↑j
.text:8012238E                 LDR     R7, [R4]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/disassembler/disassembly-gallery/arm-processor-epoc-app.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
